<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Dashboard extends CI_Controller {
    
    public function __construct() {
        parent::__construct();
        $this->load->helper('custom');
        require_login();
        $this->load->model(['User_model', 'Application_model']);
    }
    
    public function index() {
        $user_id = $this->session->userdata('user_id');
        
        $data = array(
            'profile' => $this->User_model->get_profile($user_id),
            'application' => $this->Application_model->get_status($user_id)
        );
        
        $this->load->view('dashboard/index', $data);
    }
}